***

title: update
slug: /reference/typescript/rest/fabric/relay-applications/update
description: Replace a RELAY application resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Replace a RELAY application resource. Uses PUT for full replacement.

<EndpointSchemaSnippet endpoint="PUT /api/fabric/resources/relay_applications/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/fabric/resources/relay_applications/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const updated = await client.fabric.relayApplications.update("resource-id", { name: "updated-name" });
console.log(`Updated: ${updated.display_name}`);
```